package com.xkrs.straw.controller;

import com.xkrs.service.impl.FirePointServiceImpl;
import com.xkrs.straw.model.qo.AllFirePointQo;
import com.xkrs.straw.service.DispatchFirePointService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.i18n.LocaleContextHolder;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Locale;

@RestController
@RequestMapping(value = "/dispatch")
public class DispatchFirePointController {

    public static Logger log = LoggerFactory.getLogger(FirePointServiceImpl.class);

    private final Locale locale = LocaleContextHolder.getLocale();

    @Resource
    private DispatchFirePointService firePointService;

    @GetMapping("/debug")
    public String debug() {
        return firePointService.debug();
    }

    @PostMapping("/insertFirePointChannelOrdinary")
    public String insertFirePointChannelOrdinary(@RequestBody AllFirePointQo firePointQo) {
        return firePointService.insertFirePointChannelOrdinary(firePointQo);
    }

    @PostMapping("/insertFirePointChannelPrecise")
    public String insertFirePointChannelPrecise(@RequestBody AllFirePointQo firePointQo) {
        return firePointService.insertFirePointChannelPrecise(firePointQo);
    }

}
