package com.xkrs.straw.model.entity;

import javax.persistence.*;
import java.io.Serializable;

@Entity
@Table(name = "fire_point_channel_config")
public class FirePointChannelConfigEntity implements Serializable {

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "fire_point_ordinary_seq_gen")
    @SequenceGenerator(name = "fire_point_ordinary_seq_gen", sequenceName = "fire_point_ordinary_id_seq", allocationSize = 1)
    private Long id;

    /**
     * Json配置内容
     */
    @Column(length = 1024, columnDefinition = "varchar(1024)")
    private String jsonContent;

    public FirePointChannelConfigEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getJsonContent() {
        return jsonContent;
    }

    public void setJsonContent(String jsonContent) {
        this.jsonContent = jsonContent;
    }

    @Override
    public String toString() {
        return "FirePointChannelConfigEntity{" +
                "id=" + id +
                ", jsonContent='" + jsonContent + '\'' +
                '}';
    }
}
